package com.bonus.canteen.core.order.deprecated.model;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bonus.canteen.core.order.deprecated.param.OrdParam;
import com.bonus.canteen.core.order.deprecated.param.OrdTradeDetailParam;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class OrdExportModel {
   private Page page;
   private OrdParam ordParam;
   private OrdTradeDetailParam ordTradeDetailParam;
   @ApiModelProperty("需要导出列")
   private List<String> exportCols;

   public Page getPage() {
      return this.page;
   }

   public OrdParam getOrdParam() {
      return this.ordParam;
   }

   public OrdTradeDetailParam getOrdTradeDetailParam() {
      return this.ordTradeDetailParam;
   }

   public List<String> getExportCols() {
      return this.exportCols;
   }

   public void setPage(final Page page) {
      this.page = page;
   }

   public void setOrdParam(final OrdParam ordParam) {
      this.ordParam = ordParam;
   }

   public void setOrdTradeDetailParam(final OrdTradeDetailParam ordTradeDetailParam) {
      this.ordTradeDetailParam = ordTradeDetailParam;
   }

   public void setExportCols(final List<String> exportCols) {
      this.exportCols = exportCols;
   }

}
